## gtk+2.0 2.24.33

=== examples/statusbar/Makefile ===

CC = gcc

CFLAGS = -Wall			 	\
	-DG_DISABLE_DEPRECATED 	 	\
	-DGDK_DISABLE_DEPRECATED 	\
	-DGDK_PIXBUF_DISABLE_DEPRECATED \
	-DGTK_DISABLE_DEPRECATED

statusbar: statusbar.c 
	$(CC) statusbar.c -o statusbar $(CFLAGS) `pkg-config gtk+-2.0 --cflags --libs`

clean: 
	rm -f *.o statusbar

=== debian/changelog ===
gtk+2.0 (2.24.33-9) unstable; urgency=medium

  [ Nick Rosbrook ]
  * Build with -std=gnu17 to avoid FTBFS with gcc-15 (Closes: #1096785)
    (LP: #2124953)

  [ Jeremy Bícha ]
  * Remove Suggests: devhelp

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 26 Oct 2025 20:26:12 -0400

gtk+2.0 (2.24.33-8) unstable; urgency=medium

  * Team upload
  * d/control: Build-depend on gobject-introspection instead of
    libgirepository1.0-dev
  * d/control: Explicitly build-depend on required GIR XML packages
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/copyright: Don't quote the FSF's former postal address here.
    Consistently point to /usr/share/common-licenses instead.
  * d/libgtk2.0-doc.links.in: Remove unused dangling symlinks to other
    libraries' docs
  * d/tests/1065493-futureproofing: Produce valid TAP output
  * d/tests/1065493-futureproofing: Generate a versioned Provides.
    Otherwise, replacing libgtk2.0-0t64 with libgtk2.0-0xyz will result
    in libgtk2.0-common being downgraded and the test will fail.
  * d/tests/1065493-futureproofing: Improve diagnostic output

 -- Simon McVittie <smcv@debian.org>  Wed, 27 Aug 2025 09:23:32 +0100

gtk+2.0 (2.24.33-7) unstable; urgency=medium

  * Team upload
  * d/salsa-ci.yml: Add
  * d/libgtk2.0-0t64.links.in: Provide a symlink to the old
    gtk-query-immodules-2.0 path.
    This provides drop-in compatibility with libgtk2.0-0, which some
    packages rely on (gcin, hime).
  * d/control: Use generated ${gir:Provides} instead of hard-coding
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
  * Stop generating Devhelp indexes for the FAQ and tutorial.
    These are at least 15 years out of date, were emitted in the
    deprecated Devhelp file format version 1, and do not have the GTK
    major version in their title, which could mislead developers into
    thinking they're applicable to GTK 3 and 4.
  * d/upstream/metadata: Remove obsolete FAQ link
  * d/upstream/metadata: Link to the correct branch's commit log
  * d/upstream/metadata: Update Bug-Database URL for current Gitlab
  * d/upstream/metadata: Remove Bug-Submit.
    GTK 2 is no longer supported upstream. It is technically possible to
    report issues (because it shares a git repository and issue tracker
    with GTK 3 and 4) but not practically useful.
  * Remove unused lintian override for #1063709

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Jan 2025 11:16:34 +0000

gtk+2.0 (2.24.33-6) unstable; urgency=medium

  * Team upload

  [ Alessandro Astone ]
  * debian: Add patches to fix FTBFS with gcc-14 (Closes: #1075050)

  [ Simon McVittie ]
  * d/rules: Suppress gtk2-engines-pixbuf dependency on libgtk2.0-0t64.
    This allows themes to be installed without always requiring GTK 2
    to be installed. We did this for libgtk2.0-0 since 2017, but it
    regressed during the t64 transition. (Helps: #1077864)
  * d/control: Recommend gnome-themes-extra.
    This provides the Adwaita theme for GTK 2, making GTK 2 apps
    approximately match the default appearance of GTK 3 apps.
    (Helps: #1077864)
  * Remove version constraints unnecessary since Debian 11
  * Replace dependency on transitional package x11proto-xext-dev with
    replacement x11proto-dev
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Fri, 30 Aug 2024 18:29:28 +0100

gtk+2.0 (2.24.33-5) unstable; urgency=high

  [ Jeremy Bícha ]
  * SECURITY UPDATE: CVE-2024-6655 Stop looking for modules in cwd
    - Cherry-picked patch from GTK 3.24.43

  [ Simon McVittie ]
  * d/control, d/tests: Prefer to depend on pkgconf instead of pkg-config
  * Update Lintian overrides
  * d/control: Drop alternative dependency on obsolete libgdk-pixbuf2.0-dev
  * d/control: Drop unused build-dependency on quilt

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Jul 2024 08:38:50 -0400

gtk+2.0 (2.24.33-4) unstable; urgency=medium

  * Team upload
  * d/libgtk2.0-0t64.preinst: Remove libgtk2.0-0 postrm to avoid loss of
    input method modules during upgrade (Closes: #1065493)
  * d/tests/manual/1065493.sh: Add a manual reproducer for #1065493
  * d/libgtk2.0-0t64.postrm.in: Only clean up immodules.cache during purge.
    This avoids input methods becoming briefly unavailable during upgrades.
  * d/libgtk2.0-0t64.postrm.in: Avoid recurrence of #1065493 in the future,
    by not deleting immodules.cache (even during purge) unless the immodules
    directory no longer exists.
  * d/tests/1065493-futureproofing: Add a test for recurrence of #1065493.

 -- Simon McVittie <smcv@debian.org>  Wed, 06 Mar 2024 12:31:37 +0000

gtk+2.0 (2.24.33-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064080

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 05:46:40 +0000

gtk+2.0 (2.24.33-3) unstable; urgency=medium

  * Cherry-pick patch to fix GFileInfo critical warnings
  * Drop multiarch module path patch: nothing in Debian needs it any more
  * Stop generating d/control from a template
  * Build-Depend on dh-sequence-gnome
  * Set Section to oldlibs
  * Stop building gtk2.0-examples

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Jan 2024 16:02:45 -0500

gtk+2.0 (2.24.33-2) unstable; urgency=medium

  * Team upload
  * d/rules: Build udeb with extra CPPFLAGS.
    This allows adding special-case code for debian-installer where
    necessary.
  * udeb: Clamp text layout width to no more than was requested.
    This works around a relayout loop that makes the Debian installer hang.
    To minimize the effect on installed systems, this is
    #ifdef DEBIAN_INSTALLER; we currently have no evidence of similar
    relayout loops outside the d-i environment. (Closes: #988786)
  * Increase dependency on librsvg2-common from Suggests to Recommends.
    This is not a hard dependency, but should be installed in nearly all
    cases. Increasingly many icons are provided in SVG format, so


=== debian/control ===
Source: gtk+2.0
Section: oldlibs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
               dh-sequence-gnome,
               dh-python,
               gettext,
               gir1.2-atk-1.0-dev,
               gir1.2-cairo-1.0-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-pango-1.0-dev,
               gir1.2-xlib-2.0-dev,
               gtk-doc-tools,
               xsltproc,
               pkgconf,
               python3:any,
               libglib2.0-dev,
               libgdk-pixbuf-2.0-dev,
               libpango1.0-dev,
               libatk1.0-dev,
               libx11-dev,
               libxext-dev,
               libxi-dev,
               libxrandr-dev,
               libxt-dev,
               libxrender-dev,
               libxft-dev,
               libxcursor-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxkbfile-dev,
               libxinerama-dev,
               libxfixes-dev,
               libcairo2-dev,
               x11proto-dev,
               libcups2-dev,
               gobject-introspection (>= 1.80),
               gawk,
               shared-mime-info,
               docbook-xml,
               docbook-xsl,
               docbook-utils,
               libxml2-utils,
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: libglib2.0-doc,
                     libatk1.0-doc,
                     libpango1.0-doc,
                     libcairo2-doc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gtk2
Vcs-Git: https://salsa.debian.org/gnome-team/gtk2.git
Homepage: http://www.gtk.org/

Package: libgtk2.0-0t64
Replaces: libgtk2.0-0
Breaks: libgtk2.0-0 (<< ${source:Version})
Architecture: any
Depends: libgtk2.0-common,
         ${misc:Depends},
         ${shlibs:Depends},
         adwaita-icon-theme | gnome-icon-theme,
         hicolor-icon-theme,
         shared-mime-info
Provides: ${t64:Provides}, gtk2.0-binver-2.10.0
Recommends: gnome-themes-extra,
            libgail-common,
            librsvg2-common,
            libgtk2.0-bin
Suggests: gvfs
Multi-Arch: same
Description: GTK graphical user interface library - old version
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the shared libraries.

Package: libgtk2.0-0-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Provides: gtk2.0-binver-2.10.0
Description: GTK graphical user interface library - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the minimal runtime library using X11 needed
 by the Debian installer.

Package: libgtk2.0-common
Architecture: all
Depends: ${misc:Depends}
Recommends: libgtk2.0-0t64
Multi-Arch: foreign
Description: common files for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the common files which the libraries need.

Package: libgtk2.0-bin
Architecture: any
Depends: ${misc:Depends},
         libgtk2.0-0t64 (= ${binary:Version}),
         libgtk2.0-common,
         gtk-update-icon-cache
Multi-Arch: foreign
Description: programs for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the utilities which are used by the libraries
 and other packages.

Package: libgtk2.0-dev
Architecture: any
Multi-Arch: same
Depends: libgtk2.0-0t64 (= ${binary:Version}),
         gir1.2-gtk-2.0 (= ${binary:Version}),
         libgtk2.0-common,
         ${gir:Depends},
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         libglib2.0-dev,
         libgdk-pixbuf-2.0-dev,
         libpango1.0-dev,
         libatk1.0-dev,
         libcairo2-dev,
         libx11-dev,
         libxext-dev,
         libxinerama-dev,
         libxi-dev,
         libxrandr-dev,
         libxcursor-dev,
         libxfixes-dev,
         libxcomposite-dev,
         libxdamage-dev,
         pkgconf,
         libxml2-utils
Provides: ${gir:Provides},
Recommends: debhelper
Suggests: libgtk2.0-doc
Description: development files for the GTK library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the header files and static libraries which are
 needed for developing GTK applications.

Package: libgtk2.0-doc
Architecture: all
Depends: ${misc:Depends}
Recommends: libglib2.0-doc,
            libatk1.0-doc,
            libpango1.0-doc
Multi-Arch: foreign
Description: documentation for the GTK graphical user interface library
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the HTML documentation for the GTK library
 in /usr/share/doc/libgtk2.0-doc/ .

Package: gtk2-engines-pixbuf
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: pixbuf-based theme for GTK 2
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package contains the pixbuf theme engine.

Package: gir1.2-gtk-2.0
Architecture: any
Multi-Arch: same
Depends: libgtk2.0-common,
         ${misc:Depends},
         ${shlibs:Depends},
         ${gir:Depends}
Provides: ${gir:Provides},
Description: GTK graphical user interface library -- gir bindings
 GTK is a multi-platform toolkit for creating graphical user
 interfaces. Offering a complete set of widgets, GTK is suitable
 for projects ranging from small one-off tools to complete application
 suites.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: libgail18t64
Provides: ${t64:Provides}
Replaces: libgail18
Breaks: libgail18 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk2.0-0t64 (= ${binary:Version})
Multi-Arch: same
Description: GNOME Accessibility Implementation Library -- shared libraries
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the shared library.

Package: libgail18-udeb
Build-Profiles: <!noudeb>
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtk2.0-0-udeb (= ${binary:Version})
Description: GNOME Accessibility Implementation Library -- shared libraries
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the shared library for the Debian installer.

Package: libgail-common
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgail18t64 (= ${binary:Version})
Multi-Arch: same
Description: GNOME Accessibility Implementation Library -- common modules
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains core shared libraries.

Package: libgail-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libgail18t64 (= ${binary:Version}),
         libgail-common (= ${binary:Version}),
         libgtk2.0-dev (= ${binary:Version}),
         pkgconf,
         libatk1.0-dev
Suggests: libgail-doc
Description: GNOME Accessibility Implementation Library -- development files
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the development files for Gail.

Package: libgail-doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: documentation files of the Gail library
 Gail implements ATK interfaces for GTK widgets which are dynamically
 loadable at runtime by a GTK application. Once loaded, those parts of
 an application that use standard GTK widgets will have a basic level
 of accessibility, without the need to modify the application at all.
 .
 This package contains the documentation files for Gail.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
include /usr/share/dpkg/pkg-info.mk

built_binaries := $(shell dh_listpackages)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

STAMP_DIR := debian/stampdir

# rules in this debian/rules Makefile can be built concurrently as well as
# upstream rules in Makefile; all $(MAKE) invocations will inherit this flag,
# if you recurse into debian/rules ($(MAKE)
# -f debian/rules in rules), you need to pass a flag to avoid adding "-jX" when
# the childs encounters this line
DEB_BUILD_OPTIONS_PARALLEL ?= $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
PARALLEL_FLAGS += $(if $(DEB_BUILD_OPTIONS_PARALLEL),-j$(DEB_BUILD_OPTIONS_PARALLEL))

LIBDIR := usr/lib/$(DEB_HOST_MULTIARCH)

# ppc64 support; see #386815
ifeq ($(DEB_HOST_GNU_CPU),powerpc64)
	CFLAGS += -mminimal-toc
endif

# default CFLAGS; these can be expanded with $(call flavor_get, )
CFLAGS += -Wall -g -O$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),0,2)

# Fix build with gcc-15
CFLAGS += -std=gnu17

# default LDFLAGS; these can be expanded with $(call flavor_get, )
# currently fails in the cups gtkprint backend
#LDFLAGS += -Wl,-z,defs

APIVER := 2.0
SONAME := 0
SHVER := 2.24.0

# earliest version that this release has backwards binary compatibility for
GTK_BINARY_VERSION := 2.10.0

# relative base directory for all types of modules
MODULES_BASE_PATH := $(LIBDIR)/gtk-$(APIVER)/$(GTK_BINARY_VERSION)
OLD_MODULES_BASE_PATH := usr/lib/gtk-$(APIVER)/$(GTK_BINARY_VERSION)

# package names
SHARED_PKG := libgtk$(APIVER)-$(SONAME)t64
COMMON_PKG := libgtk$(APIVER)-common
DEV_PKG := libgtk$(APIVER)-dev
UDEB_PKG := libgtk$(APIVER)-$(SONAME)-udeb
DOC_PKG := libgtk$(APIVER)-doc
BIN_PKG := libgtk$(APIVER)-bin
PIXBUF_PKG := gtk2-engines-pixbuf

# Avoid test failures on buildd environments
export HOME=$(CURDIR)/debian/build
export XDG_RUNTIME_DIR=$(HOME)
# Put these back to their defaults if we are not running with a clean
# environment, so that they are based on the temporary $HOME above
unexport XDG_CACHE_HOME
unexport XDG_CONFIG_DIRS
unexport XDG_CONFIG_HOME
unexport XDG_DATA_HOME
unexport XDG_DATA_DIRS

# package groups, used in rule dependencies and in cleanup
BINARY_INDEP_PKGS := $(COMMON_PKG) $(DOC_PKG) libgail-doc
BINARY_ARCH_PKGS := $(SHARED_PKG) $(BIN_PKG) $(UDEB_PKG) $(DEV_PKG) $(PIXBUF_PKG) gir1.2-gtk-2.0 libgail18t64 libgail18-udeb libgail-dbg libgail-dev libgail-common
ALL_PKGS := $(BINARY_INDEP_PKGS) $(BINARY_ARCH_PKGS)

# list of flavors we build; each gets a builddir, a configure pass (configure
# args are defined below), a build pass, and an install pass (in two steps)
# Note: the shared flavor is required
FLAVORS := shared

ifneq ($(filter %-udeb,$(built_binaries)),)
FLAVORS += shared_udeb
endif

# current flavor we're building; this is only expanded in flavor specific
# targets
current_flavor = $*

# macro to get a value for the current flavor we're building; for example
# when building the shared flavor, $(call flavor_get,CFLAGS) will expand to
# shared_CFLAGS if it's set or to CFLAGS otherwise; pay attention to not adding
# superflous spaces when for the arguments of $(call ); only some vars can
# be expanded in this way though
flavor_get = $(or $($(current_flavor)_$(1)),$($(1)))

# build dir for the current flavor; this is only expanded in flavor specific
# targets
builddir = $(buildbasedir)/$(current_flavor)
buildbasedir = $(CURDIR)/debian/build

# install dir for the current flavor; this is only expanded in flavor specific
# targets
installdir = $(installbasedir)/$(current_flavor)
installbasedir = $(CURDIR)/debian/install

# configure flags
configure_flags := \
			--enable-test-print-backend \
			--enable-introspection=no \
			--enable-shared \
			--disable-static \
			--with-xinput=yes

shared_configure_flags := $(configure_flags) \
			--enable-introspection \
			--enable-man
shared_udeb_configure_flags := $(configure_flags) \
			CPPFLAGS="$(CPPFLAGS) -DDEBIAN_INSTALLER" \
			--disable-introspection \
			--disable-xcomposite \
			--disable-xdamage \
			--disable-xfixes \
			--disable-xrandr

DH_INSTALLDOCS_FILES := NEWS README AUTHORS

# macro computing the list of 'debian/<pkg>.*" files which have a corresponding
# ".in" file; pass the list of packages in $(1)
dh_subst_files = $(patsubst %.in,%,$(wildcard $(addprefix debian/, $(addsuffix *.in, $(1)))))

debian/dh_gtkmodules.1: debian/dh_gtkmodules
	cd debian && pod2man -c "Gtk" -r "$(DEB_VERSION)" dh_gtkmodules dh_gtkmodules.1

%:
	dh $@ --with=autoreconf --with=gir --with=python3

override_dh_autoreconf:
	mkdir -p m4
	cp /usr/share/gtk-doc/data/gtk-doc.make .
	dh_autoreconf

override_dh_auto_configure: $(addprefix $(STAMP_DIR)/configure-stamp-, $(FLAVORS))
	:

$(STAMP_DIR)/configure-stamp-%:
	mkdir -p $(STAMP_DIR)
	mkdir -p $(builddir)
	dh_auto_configure \
		--builddirectory=$(builddir) \
		-- \
		$(call flavor_get,configure_flags)
	touch $@

.NOTPARALLEL: $(addprefix $(STAMP_DIR)/build-stamp-, $(FLAVORS))
$(STAMP_DIR)/build-stamp-%: $(STAMP_DIR)/configure-stamp-%
	LD_LIBRARY_PATH=$(builddir)/gtk/.libs:$(builddir)/gdk/.libs:$(LD_LIBRARY_PATH) \
		dh_auto_build --builddirectory=$(builddir)
	touch $@

override_dh_auto_build-arch: $(addprefix $(STAMP_DIR)/build-stamp-, $(FLAVORS))
	:

override_dh_auto_build-indep: $(addprefix $(STAMP_DIR)/build-stamp-, shared)
	:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p debian/build/.local/share
	# setting LD_LIBRARY_PATH for "make check" might be needed in the
	# future, but doesn't seem necessary right now
	#LD_LIBRARY_PATH=$(builddir)/gtk/.libs:$(builddir)/gdk/.libs:$(LD_LIBRARY_PATH)
	# testsuite failures are ignored
	-dh_auto_test --builddirectory=$(CURDIR)/debian/build/shared -- -k
endif

$(STAMP_DIR)/install-stamp-%: $(STAMP_DIR)/build-stamp-%
	mkdir -p $(installdir)
	dh_auto_install --builddirectory=$(builddir) --destdir=$(installdir)
	sed -i -e '1s,^#!.*python.*,#!/usr/bin/python3,' debian/install/shared/usr/bin/gtk-builder-convert
	touch $@

override_dh_auto_install-arch: $(addprefix $(STAMP_DIR)/install-stamp-, $(FLAVORS))
	:

override_dh_auto_install-indep: $(addprefix $(STAMP_DIR)/install-stamp-, shared)
	:

debian/%: debian/%.in
	sed \
		-e "s#@SONAME@#$(SONAME)#g" \
		-e "s#@APIVER@#$(APIVER)#g" \
		-e "s#@SHARED_PKG@#$(SHARED_PKG)#g" \
		-e "s#@COMMON_PKG@#$(COMMON_PKG)#g" \
		-e "s#@DEV_PKG@#$(DEV_PKG)#g" \
		-e "s#@DOC_PKG@#$(DOC_PKG)#g" \
		-e "s#@BIN_PKG@#$(BIN_PKG)#g" \
		-e "s#@PIXBUF_PKG@#$(PIXBUF_PKG)#g" \
		-e "s#@GTK_BINARY_VERSION@#$(GTK_BINARY_VERSION)#g" \
		-e "s#@LIBDIR@#$(LIBDIR)#g" \
		-e "s#@MODULES_BASE_PATH@#$(MODULES_BASE_PATH)#g" \
		-e "s#@OLD_MODULES_BASE_PATH@#$(OLD_MODULES_BASE_PATH)#g" \
		$@.in \
		> $@

clean:: debian/control
	dh clean

override_dh_clean: debian/control
	# remove install and build dirs
	rm -rf $(installbasedir)
	rm -rf $(buildbasedir)
	rm -f gtk-doc.make
	rm -f debian/*.devhelp
	-rm -rf $(STAMP_DIR)
	-rm -f $(call dh_subst_files,$(ALL_PKGS))
	-rm -f debian/dh_gtkmodules debian/dh_gtkmodules.1
	dh_clean

override_dh_installchangelogs:
	# changelog.gz symlinks will be overwritten by dh_link
	dh_installchangelogs -XChangeLog

override_dh_install-indep: $(call dh_subst_files,$(BINARY_INDEP_PKGS))
	dh_install -i

override_dh_installdocs-indep:
	# do not merge the calls: dh_installdocs will only install some files
	# in the first package
	dh_installdocs -p$(COMMON_PKG) $(DH_INSTALLDOCS_FILES)
	# We need to install AUTHORS, NEWS.gz and README.gz in /u/s/d/l-doc,
	# not -dev according to debhelper 11's defaults, otherwise it would
	# have file conflicts
	dh_installdocs -p$(DOC_PKG) --doc-main-package=$(DOC_PKG) -X.in $(DH_INSTALLDOCS_FILES)
	# install copyright in all packages; the -p is for the special behavior
	# of dh_installdocs (ship README.Debian etc. in the first package)
	dh_installdocs -p$(COMMON_PKG) -X.in -i

=== debian/watch ===
version=4
https://download.gnome.org/sources/gtk+/(2\.2[02468])/ \
	gtk(?:\+|%2[Bb])@ANY_VERSION@\.tar\.xz
